Subject: Re: Creating DLLs
From: Georg Fusz <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Stephen Chan <[email-masked]>, [email-masked]
Date: Mon, 09 Apr 2001 16:24:30 +0000

Try these examples. They work under MingGw.

"Charles S. Wilson" wrote:
> 
> See
> http://www.neuro.gatech.edu/users/cwilson/cygutils/dllhelpers-0.2.6.tar.gz
> for some examples.  Some documentation (slightly out of date) is at
> Mumit's website -- I don't remember the URL, but there's a link from the
> Cygwin webpage.
> 
> --Chuck
> 
> Stephen Chan wrote:
> >
> > Hi,
> >
> > I'm having trouble creating DLLs, and the stock example at:
> > http://www.cygwin.com/cygwin-ug-net/dll.html doesn't work either :(
> >
> > I get the following error messages( gcc -s -Wl,--base-file,mydll.base -o
> > mydll.dll mydll.o -Wl,-e,_mydll_init@12):
> >
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-2/../../../../i686-pc-cygwin/bin/ld: warn
> > ing: cannot find entry symbol _mydll_init@12; defaulting to 00401000
> > /usr/lib/libcygwin.a(libcmain.o)(.text+0x6a):libcmain.c: undefined
> > reference to
> > `WinMain@16'
> > collect2: ld returned 1 exit status
> >
> > Can anyone help?
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Georg Fusz
Technische Universitaet Berlin, Germany

Fon:
Uni.: +49 30 314 26 884
privat: +49 30 815 30 32
Handy: +49 173 20 10 696

Homepage: http://www.cadlab.tu-berlin.de/~fusz/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple